
#include "stdafx.h"


class DblSlider {
public:
	DblSlider();
	~DblSlider();

	void Init(CEdit *top, CEdit *bot, CEdit *set, CSliderCtrl *sld,
	  double topv, double botv, double setv);

	double LimitsChanged();
	double SetChanged();
	double SliderChanged();
	double GetVal();

private:
	void CfgLimits();
	void CfgSet();
	void ShowLimits();
	void ShowSet();
	void ShowSld();
		
	CEdit		*TopEdit,*BotEdit,*SetEdit;
	CSliderCtrl	*Slider;

	double		TopVal,BotVal,SetVal;
	double		SldStep;
};




