
#ifndef MOVIE_WRITER
#define MOVIE_WRITER

#include "stdafx.h"


class MovieWriter {
public:
	MovieWriter();
	~MovieWriter();
	
	HRESULT SetOutfile(CString &filename);
	HRESULT InitProfile(IWMProfile *inprof);
	
	HRESULT SaveFrame(INSSBuffer *savesample, double timesample);

	HRESULT Close(void);

private:
	HRESULT Open(const WCHAR *filename);
	HRESULT WriterProfileMerge();

	IWMProfileManager	*mManager;
	IWMProfile			*mProfile;
	IWMWriter			*mWriter;
	INSSBuffer			*mSample;

	WORD	VideoStreamNum;

	WCHAR	lclFilename[1000];
};


#endif
